[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TStringGridStrings.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 1739

`public constructor TStringGridStrings.Create(`
`aGrid: TCustomStringGrid;`
`OwnerMap: TMap;`
`aIsCol: Boolean;`
`aIndex: LongInt`
`);`

## Arguments

`aGrid` |  | Grid for the string values.
`OwnerMap` |  | Map with the owner for the class instance.
`aIsCol` |  | True when the values represent a column for the associated grid; False for a row.
`aIndex` |  | Column or row number in the grid for the data values.

## Description

Create is the constructor for the class instance, and calls the inherited constructor on entry. Create stores parameter values to the members used for the associated grid and the map used in the class instance.